stages:
- name: eventselection
  dependencies: [init]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      CERN_USER:     {step: init, output: CERN_USER}
      SERVICE_PASS:  {step: init, output: SERVICE_PASS}
      sampleName:    {step: init, output: sampleName}
      configFile:    {step: init, output: configFile}
      inputList:     {step: init, output: inputList}
      modConfig:     {step: init, output: modConfig}
      stepDir:      '{workdir}'
    step: {$ref: 'steps.yml#/eventselection'}
    
- name: validate
  dependencies: [eventselection]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      ntupFile: {step: eventselection, output: ntupFile}
      outputPlot: '{workdir}/plot_val.pdf'
    step: {$ref: 'steps.yml#/validate'}
    
  